using System;

class Program{
//K(ajzer klin) je koliko ih ima u jednoj vrsti;
//H(rabri tornado) je koliko ima vrsti;
		static void Main(){
		string[] unos = Console.ReadLine().Split(' ');
		int a = int.Parse(unos[0]);
		int b = int.Parse(unos[1]);
		int sudije = 0;
		sudije += a + b + a + b - 4;
		int H = a - 2;
		int K = b - 2;
		if (K%2 > 0){
			int kol1 = K / 2;
			int kol2 = kol1 + 1;
			sudije += (kol1 + kol2) * (H / 2);
			if(H % 2 > 0){ sudije += kol1; }
		}
//202
//98 1
		else{
			int kol1 = K / 2;	
			sudije += kol1 * H;
			}
		//sudije += K * H;
		Console.WriteLine(sudije);
		string asd = Console.ReadLine();
		}
	}